// der php hacker

// archiv

Scream: Gegen den @-Operator

Geschrieben am 27. Feb 2009 von Cem Derin

Es gibt ein paar Sachen, die darf man Anfängern nicht verraten. Ganz weit oben auf dieser Liste steht eval, denn eval is evil. Eine weitere Sache ist der @-Operator, mit dem sich PHP-Fehlermeldungen unterdrücken lassen. Allzuoft werden wichtige Notices, die in den Augen eines nicht sonderlich versierten (Hobby-)PHP-Hackers absolut unwichtig und nervig sind, durch @s unterdrückt. Wenn man Legacy-Code mit Haufenweise @s findet, kann man sich schon einmal verzweifelt die Haare raufen. Bevor wir aber Schimpftriaden verfallen, weise ich auf eine kleine PECL-Erweiterung von Johannes Schlüter hin: Scream! Damit wird das @ Wirkungslos und man kann in Ruhe debuggen ;-)

Geschrieben in Entwicklung Kommentieren

// kommentieren

// senden
theme von mir, software von wordpress, grid von 960 grid system. funktioniert in allen browsern, aber der safari bekommt das mit der schrift am schönsten hin.